| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLSL::GLSLLinkProgram Class Reference

C++ encapsulation of GLSL Program Object. More...

`#include <OgreGLSLLinkProgram.h>`

Inheritance diagram for Ogre::GLSL::GLSLLinkProgram:
[legend]

## Public Member Functions
| GLSLLinkProgram (GLSLProgram *vertexProgram, GLSLProgram *geometryProgram, GLSLProgram *fragmentProgram)
| Constructor should only be used by GLSLLinkProgramManager. More...
| ~GLSLLinkProgram (void)
void | activate (void)
| Makes a program object active by making sure it is linked and then putting it in use. More...
GLhandleARB | getGLHandle (void) const
| Get the GL Handle for the program object. More...
void | updatePassIterationUniforms (GpuProgramParametersSharedPtr params)
| Updates program object uniforms using data from pass iteration GpuProgramParameters. More...
void | updateUniformBlocks (GpuProgramParametersSharedPtr params, uint16 mask, GpuProgramType fromProgType)
void | updateUniforms (GpuProgramParametersSharedPtr params, uint16 mask, GpuProgramType fromProgType)
| Updates program object uniforms using data from GpuProgramParameters. More...

## Detailed Description

C++ encapsulation of GLSL Program Object.

## Constructor & Destructor Documentation

## ◆ GLSLLinkProgram()

Ogre::GLSL::GLSLLinkProgram::GLSLLinkProgram | ( | GLSLProgram * | vertexProgram,
|  | GLSLProgram * | geometryProgram,
|  | GLSLProgram * | fragmentProgram
| ) |  |

Constructor should only be used by GLSLLinkProgramManager.

## ◆ ~GLSLLinkProgram()

Ogre::GLSL::GLSLLinkProgram::~GLSLLinkProgram | ( | void |  | ) |

## Member Function Documentation

## ◆ activate()

void Ogre::GLSL::GLSLLinkProgram::activate | ( | void |  | ) |

Makes a program object active by making sure it is linked and then putting it in use.

## ◆ updateUniforms()

void Ogre::GLSL::GLSLLinkProgram::updateUniforms | ( | GpuProgramParametersSharedPtr | params,
|  | uint16 | mask,
|  | GpuProgramType | fromProgType
| ) |  |

Updates program object uniforms using data from GpuProgramParameters.

normally called by GLSLGpuProgram::bindParameters() just before rendering occurs.

## ◆ updateUniformBlocks()

void Ogre::GLSL::GLSLLinkProgram::updateUniformBlocks | ( | GpuProgramParametersSharedPtr | params,
|  | uint16 | mask,
|  | GpuProgramType | fromProgType
| ) |  |
| inline

## ◆ updatePassIterationUniforms()

void Ogre::GLSL::GLSLLinkProgram::updatePassIterationUniforms | ( | GpuProgramParametersSharedPtr | params | ) |

Updates program object uniforms using data from pass iteration GpuProgramParameters.

normally called by GLSLGpuProgram::bindMultiPassParameters() just before multi pass rendering occurs.

## ◆ getGLHandle()

GLhandleARB Ogre::GLSL::GLSLLinkProgram::getGLHandle | ( | void |  | ) | const
| inline

Get the GL Handle for the program object.

The documentation for this class was generated from the following file:

- OgreGLSLLinkProgram.h